> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# LinkedIn

> Integrate your application with the LinkedIn API

## 🚀 Quickstart

Connect to LinkedIn with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *LinkedIn*.

**2. Authorize LinkedIn**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to LinkedIn. Later, you'll let your users do the same directly from your app.

**3. Call the LinkedIn API**

Let's make your first request to the LinkedIn API (fetch the current member's profile). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/v2/userinfo" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/v2/userinfo',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own credentials, follow the setup guide linked below.

## 📚 LinkedIn Integration Guides

Nango maintained guides for common use cases.

* [How to register your own LinkedIn OAuth app](https://nango.dev/docs/api-integrations/linkedin/how-to-register-your-own-linkedin-api-oauth-app)\
  Register an OAuth app with LinkedIn and obtain credentials to connect it to Nango

Official docs: [LinkedIn API documentation](https://learn.microsoft.com/en-us/linkedin/?context=linkedin%2Fcontext)

## 🧩 Pre-built syncs & tools for LinkedIn

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### messages

| Function name | Description | Type |
| - | - | - |
| `messages` | This sync captures all LinkedIn messages for a Linkedin member for archiving purposes | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

### Others

| Function name | Description | Type |
| - | - | - |
| `post` | Create a linkedin post with an optional video | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-comment` | Create a comment on a LinkedIn post or comment thread. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-like` | Like a LinkedIn post or comment as a person or organization. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-post` | Publish an organic LinkedIn post for a member or organization. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-comment` | Delete a LinkedIn comment by target URN and comment ID. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-like` | Remove a LinkedIn like from a post or comment. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-post` | Delete a LinkedIn post by post URN | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-current-member-profile` | Retrieve the authenticated member profile. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-post-likes` | List reactions on a LinkedIn post or comment thread. Returns all reaction types (LIKE, PRAISE, EMPATHY, APPRECIATION, etc.). | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-post` | Update editable fields on a LinkedIn post. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.